Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge.http
Interface IContextServer

All Known Implementing Classes:
  PipeContextServer, SocketContextServer

    public interface IContextServer

The interface that all ContextServer must implement.

Author:
  jostb

Nested Class Summary
`static class` | `IContextServer.Channel` Represents he pipe or socket channel.

Method Summary
`void` | `destroy()` Destroy the server
`boolean` | `isAvailable()` Check if the ContextServer is ready, i.e.
`boolean` | `start(java.lang.String channelName)` Start the runner.

Method Detail

### destroy

    void destroy()

  Destroy the server

### isAvailable

    boolean isAvailable()

  Check if the ContextServer is ready, i.e. it has created a server socket.

  Returns:
    true if there's a server socket listening, false otherwise.

### start

    boolean start(java.lang.String channelName)

  Start the runner.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD